
Redmine - Feature #13052

extended issue link marco - link by id, liby by id and topic, link by topic

2013-02-01 09:37 - Terence Mill

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

We make heavily use of the "#<my issueid>" macro, but are also copying manually the topic right after the automtic link.

This need more effort (serach the issue, copy topic, pastse topic well formated right behind the #123) and also has the problem that

this topic name don't get updated if i change the topic name in corresponding issue.

I know that the issue topic is shown as popup if i move cursor over the link, but if you make listing with several issues in contect of

any wiki site or on version its needed tpo see this all issues topic names immidiately without cursor moving and remembering (i can't

remember more than 4 items at a time ;(  )

There are plugin like redmine wiki extensions which offer a macro to be able to include issue queries as well formated table, however

this is a work around which needs to "tag" issues to be selectable.

The new marco can be an extension of the existing one, e.g

#<id># shows id as link

##<id> shows id with topic as link

#<id># shows topic as link

Related issues:

Is duplicate of Redmine - Patch #29488: ##123 syntax for linking to issues wi... Closed

Is duplicate of Redmine - Feature #29489: Issue macro for flexible linking to... Closed

History

#1 - 2021-06-27 03:16 - Go MAEDA

- Category changed from Wiki to Text formatting

- Status changed from New to Closed

- Resolution set to Duplicate

Terence Mill wrote:

We make heavily use of the "#<my issueid>" macro, but are also copying manually the topic right > #<id># shows id as link

##<id> shows id with topic as link

#<id># shows topic as link

 Link text suggested above can be displayed in the latest Redmine. Redmiinie 4.0.0 and 4.1.0 have introduced new syntax for linking to issues:

##123: link to an issue with tracker name, id, and subject (#29488)

{{issue(123, project=true/false, tracker=true/false, subject=true/false)}}: Inserts a link to an issue with flexible text (#29489)

#2 - 2021-06-27 03:16 - Go MAEDA

- Is duplicate of Patch #29488: ##123 syntax for linking to issues with tracker name and subject added

#3 - 2021-06-27 03:16 - Go MAEDA

- Is duplicate of Feature #29489: Issue macro for flexible linking to issues added
